summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 8ed2fca)
raw | patch | inline | side by side (parent: 8ed2fca)
author | Johannes Sixt <johannes.sixt@telecom.at> | |
Tue, 13 Nov 2007 20:04:59 +0000 (21:04 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Wed, 14 Nov 2007 23:18:39 +0000 (15:18 -0800) |
Signed-off-by: Johannes Sixt <johannes.sixt@telecom.at>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
t/t3902-quoted.sh | patch | blob | history |
diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 245fb3babddfeaeb361d9822780915460dfe1bab..73da45f18c2c5a58828c56c561e27012aa901a9a 100755 (executable)
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
'
DQ='"'
+echo foo > "Name and an${HT}HT"
+test -f "Name and an${HT}HT" || {
+ # since FAT/NTFS does not allow tabs in filenames, skip this test
+ say 'Your filesystem does not allow tabs in filenames, test skipped.'
+ test_done
+}
+
for_each_name () {
for name in \
Name "Name and a${LF}LF" "Name and an${HT}HT" "Name${DQ}" \